Skip to main content
PATCH
Update workflow resource

Authorizations

X-API-KEY
string
header
required

Use the format X-API-KEY YOUR_API_KEY. Each key is tied to a single broadcast.

Path Parameters

userId
string<objectId>
required

Resource identifier.

broadcastId
string<objectId>
required

Resource identifier.

workflowId
string<objectId>
required

Resource identifier.

Body

application/json
entryNodeId
string
Minimum string length: 1
Example:

"x"

nodes
(amply · object | http · object | foreach · object | auth · object | if · object | code · object)[]

Définition des nodes du workflow. Chaque node possède: id, position [x,y], type, config, onSuccess, onError. Les variables runtime des code nodes sont documentées dans config.code.

name
string
Minimum string length: 1
Example:

"x"

description
string
Example:

"string"

status
enum<string>
Available options:
enabled,
disabled
Example:

"enabled"

trigger
manual · object
metadata
object

Response

200 - application/json

Success

entryNodeId
string
required
Minimum string length: 1
Example:

"x"

nodes
(amply · object | http · object | foreach · object | auth · object | if · object | code · object)[]
required

Définition des nodes du workflow. Chaque node possède: id, position [x,y], type, config, onSuccess, onError. Les variables runtime des code nodes sont documentées dans config.code.

name
string
required
Minimum string length: 1
Example:

"x"

_id
string<objectId>
required
Example:

"64b7f8b6f23a4a4f3d0a9b12"

_createdAt
string<date-time>
required
Example:

"2024-01-01T00:00:00.000Z"

description
string
Example:

"string"

status
enum<string>
Available options:
enabled,
disabled
Example:

"enabled"

trigger
manual · object
metadata
object
_updatedAt
string<date-time> | null
Example:

"2024-01-01T00:00:00.000Z"

_reference
string | null
Example:

"string"